summaryrefslogtreecommitdiff
path: root/qa/599
diff options
context:
space:
mode:
authorIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
committerIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
commit47e6e7c84f008a53061e661f31ae96629bc694ef (patch)
tree648a07f3b5b9d67ce19b0fd72e8caa1175c98f1a /qa/599
downloadpcp-47e6e7c84f008a53061e661f31ae96629bc694ef.tar.gz
Debian 3.9.10debian/3.9.10debian
Diffstat (limited to 'qa/599')
-rwxr-xr-xqa/59944
1 files changed, 44 insertions, 0 deletions
diff --git a/qa/599 b/qa/599
new file mode 100755
index 0000000..5fd7a2e
--- /dev/null
+++ b/qa/599
@@ -0,0 +1,44 @@
+#! /bin/sh
+# PCP QA Test No. 599
+# pv#789425 pmie botches scheduling of archive fetches when delta changes
+#
+# Copyright (c) 1995-2002 Silicon Graphics, Inc. All Rights Reserved.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard environment, filters and checks
+. ./common.product
+. ./common.filter
+. ./common.check
+
+status=1 # failure is the default!
+trap "rm -f $tmp.*; exit \$status" 0 1 2 3 15
+
+_filter()
+{
+ sed \
+ -e 's/0x[0-9a-f][0-9a-f]*/ADDR/' \
+ -e '/pmie([0-9][0-9]*)/{
+s//pmie(PID)/
+s/^\[.*\] /[DATE] /
+}'
+}
+
+# real QA test starts here
+pmie -D fetch -Z EST-10 -v -a src/sample-secs <<End-of-File >$tmp.out 2>$tmp.err
+delta = 10sec;
+sample.seconds;
+delta = 15sec;
+sample.seconds;
+sample.milliseconds;
+End-of-File
+
+cat $tmp.out
+echo ----
+_filter <$tmp.err
+
+# success, all done
+status=0
+exit